=== modified file 'NEWS'
--- NEWS	2008-07-22 21:40:52 +0000
+++ NEWS	2008-07-22 22:25:30 +0000
@@ -56,6 +56,8 @@
 
   * Automatically change to history mode on selecting a revision from the list. (Jasper Groenewegen, #144963)
 
+  * Check if file is versioned before opening gannotate window from olive. (Jasper Groenewegen, #115358)
+
  CHANGES
 
   * Moved notify icon code to separate script. (Jelmer Vernooij)

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-07-18 10:40:23 +0000
+++ olive/menu.py	2008-07-22 10:23:20 +0000
@@ -198,7 +198,8 @@
         
         branch = wt.branch
         file_id = wt.path2id(wt.relpath(os.path.join(directory, filename)))
-        
+        if file_id is None:
+            raise errors.NotVersionedError(filename)
         window = GAnnotateWindow(all=False, plain=False, parent=self.app)
         window.set_title(os.path.join(directory, filename) + " - Annotate")
         config = GAnnotateConfig(window)

